> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# List organization workspaces

> List all organization workspaces<br/><br/>Simple non-nested objects are serialized as `paramName[prop1]=value1&paramName[prop2]=value2&..` following the `deepObject` <a href="https://swagger.io/docs/specification/serialization/" target="_blank">serialization style</a> as defined in OpenAPI specification.<br/>Example for `workspaceMeta` parameter: `workspaceMeta[businessImpactLevel]=low&workspaceMeta[piiEnabled]=true`<br/>



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/workspaces
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/workspaces:
    get:
      tags:
        - Workspaces
      summary: List organization workspaces
      description: >-
        List all organization workspaces<br/><br/>Simple non-nested objects are
        serialized as `paramName[prop1]=value1&paramName[prop2]=value2&..`
        following the `deepObject` <a
        href="https://swagger.io/docs/specification/serialization/"
        target="_blank">serialization style</a> as defined in OpenAPI
        specification.<br/>Example for `workspaceMeta` parameter:
        `workspaceMeta[businessImpactLevel]=low&workspaceMeta[piiEnabled]=true`<br/>
      operationId: publicGetWorkspaces
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: ids
          required: false
          in: query
          description: Filter workspaces by id. Accepts multiple options.
          schema:
            type: array
            items:
              type: number
        - name: serviceId
          required: false
          in: query
          description: Filter workspaces by service id.
          schema:
            type: number
        - name: isSpendingMaster
          required: false
          in: query
          description: Filter workspaces by spending master status.
          schema:
            type: boolean
        - name: workspaceMeta
          required: false
          in: query
          description: Filter workspaces by meta data.
          schema:
            $ref: '#/components/schemas/WorkspaceMetaQueryDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PublicWorkspaceResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    WorkspaceMetaQueryDto:
      type: object
      properties:
        businessImpactLevel:
          example: low
          description: Filter workspaces by business impact level.
          allOf:
            - $ref: '#/components/schemas/BusinessImpactLevel'
        piiEnabled:
          type: boolean
          description: Filter workspaces by PII enabled status.
        confidentialInfo:
          example: confidential
          description: Filter workspaces by confidential info level.
          allOf:
            - $ref: '#/components/schemas/ConfidentialInfo'
        securityImpactLevel:
          example: low
          description: Filter workspaces by security impact level.
          allOf:
            - $ref: '#/components/schemas/SecurityImpactLevel'
    PublicWorkspaceResponseDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        organizationId:
          type: number
          readOnly: true
          example: 1
        workspaceName:
          type: string
          readOnly: true
          example: iggre
        lastUsedAt:
          type: string
          nullable: true
          readOnly: true
          example: '2020-11-11 10:00:00'
        service:
          nullable: true
          readOnly: true
          type: object
          allOf:
            - $ref: '#/components/schemas/PublicServiceResponseDto'
        creator:
          nullable: true
          readOnly: true
          type: object
          allOf:
            - $ref: '#/components/schemas/PublicOrganizationUserResponseDto'
        isCustomWorkspace:
          type: boolean
          readOnly: true
          example: false
        identityProviderWorkspaceId:
          type: number
          nullable: true
          readOnly: true
        workspaceMeta:
          nullable: true
          readOnly: true
          type: object
          allOf:
            - $ref: '#/components/schemas/PublicWorkspaceMetaResponseDto'
        billingManagers:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicWorkspaceBillingManagerDto'
        peopleInCharge:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicWorkspacePeopleInChargeDto'
        lastExecutionTime:
          type: string
          nullable: true
          readOnly: true
          example: '2020-11-11 10:00:00'
        lastExecutionStatus:
          type: string
          readOnly: true
          enum:
            - pending
            - processing
            - connected
            - maintenance
            - suspended
            - stopped
            - manual
          example: processing
        lastExecutionResultId:
          type: string
          nullable: true
          readOnly: true
          enum:
            - '0'
            - '1'
            - '100'
            - '101'
            - '103'
            - '200'
            - '201'
            - '202'
            - '203'
            - '204'
            - '205'
            - '206'
            - '207'
            - '208'
            - '209'
            - '210'
            - '211'
            - '212'
            - '213'
            - '214'
            - '215'
            - '216'
            - '217'
            - '218'
            - '219'
            - '220'
            - '221'
            - '222'
            - '223'
            - '224'
            - '225'
            - '226'
            - '227'
            - '228'
            - '229'
            - '230'
            - '250'
            - '300'
            - '301'
            - '302'
            - '303'
            - '304'
            - '305'
            - '306'
            - '307'
            - '308'
            - '309'
            - '310'
            - '311'
            - '312'
            - '313'
            - '314'
            - '315'
            - '316'
            - '320'
            - '350'
            - '351'
            - '352'
            - '353'
            - '998'
            - '999'
            - SUCCESS
            - PARTIAL_SUCCESS
            - REQUIRE_ADDITIONAL_INPUT
            - REQUIRE_POLICY_CONFIRMATION
            - REQUIRE_VERIFY_EMAIL
            - NOT_FOUND
            - WORKSPACE_NOT_FOUND
            - NOT_ENOUGH_ACCESS_TOKEN_PERMISSION
            - INCORRECT_CREDENTIALS
            - WRONG_PLAN
            - REFRESH_TOKEN_EXPIRED
            - TRIAL_ACCOUNT_EXPIRED
            - ACCOUNT_TYPE_NOT_SUPPORT
            - USER_NOT_FOUND_IN_DATABASE
            - USER_CANNOT_BE_DELETED
            - USER_IS_LAST_ADMIN
            - USER_CANNOT_BE_DEACTIVATED
            - USER_HAS_BEEN_DEACTIVATED
            - USER_DEPROVISIONING_REQUEST_NOT_EXISTS
            - REQUIRE_OTP_SETUP_FINISHED
            - TWO_FA_METHOD_NOT_ENABLED
            - DOMAIN_IS_NOT_VALID
            - NOT_SUPPORT_SAML_SSO_ONLY
            - NOT_SUPPORT_LOGIN_WITH_2FA
            - ACCOUNT_IS_NOT_ACTIVE
            - USER_ALREADY_EXISTS
            - SET_GROUPS_ACTION_REQUIRED
            - TEAM_NOT_FOUND
            - LICENSE_LIMIT_EXCEED
            - INVALID_PROVISIONING_INPUT
            - USER_CANNOT_BE_ASSIGNED_TO_WORKSPACE
            - USER_LIMIT_EXCEED
            - CANNOT_TRANSFER_DATA
            - IP_RESTRICTED
            - INSUFFICIENT_PASSWORD_COMPLEXITY
            - USER_ACCOUNT_LOCKED
            - FILE_AGGRE_ABORTED
            - SYSTEM_ERROR
            - API_RATE_LIMIT
            - INVALID_SCRAPING_DATA_FORMAT
            - TIMEOUT_ERROR
            - AGGRE_TARGET_SYSTEM_MAINTENANCE
            - WRONG_METHOD
            - AGGRE_TARGET_SYSTEM_ERROR
            - AGGRE_TARGET_COOKIE_ERROR
            - AGGRE_TARGET_INSTANCE_HIBERNATED
            - AGGRE_TARGET_API_VERSION
            - AGGRE_TARGET_LOCAL_STORAGE_ERROR
            - AGGRE_TARGET_TOKEN_ERROR
            - BYPASS_BOT_DETECTED
            - AGGRE_TARGET_USER_NOT_FOUND
            - AGGRE_TARGET_USER_ALREADY_DELETED
            - AGGRE_TARGET_ACTIVE_SESSION_LIMIT_REACHED
            - RETRYABLE_SYSTEM_ERROR
            - AGGRE_PROCESSOR_ERROR
            - IMPORT_CSV_NOT_FOUND
            - CSV_VALIDATION_ERRORS
            - UNKNOWN_ENCODING
            - EMPTY_CSV_FILE
            - OUT_OF_MEMORY_ERROR
            - UNKNOWN_ERROR
          example: 0
        lastExecutionResultMessage:
          type: string
          nullable: true
          readOnly: true
          example: NOT_FOUND
      required:
        - id
        - organizationId
        - workspaceName
        - lastUsedAt
        - service
        - creator
        - isCustomWorkspace
        - identityProviderWorkspaceId
        - workspaceMeta
        - billingManagers
        - peopleInCharge
        - lastExecutionTime
        - lastExecutionStatus
        - lastExecutionResultId
        - lastExecutionResultMessage
    BusinessImpactLevel:
      type: string
      enum:
        - high
        - moderate
        - low
    ConfidentialInfo:
      type: string
      enum:
        - unclassified
        - confidential
        - secret
        - topSecret
    SecurityImpactLevel:
      type: string
      enum:
        - high
        - moderate
        - low
    PublicServiceResponseDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        name:
          type: string
          readOnly: true
          example: Google
        uniqueName:
          type: string
          readOnly: true
          example: google
        url:
          type: string
          readOnly: true
          example: https://google.com
        adminUrl:
          type: string
          nullable: true
          readOnly: true
          example: https://admin.google.com/u/0/ac/home
        userManagementUrl:
          type: string
          nullable: true
          readOnly: true
          example: https://admin.google.com/u/0/ac/users
        serviceTopUrl:
          type: string
          nullable: true
          readOnly: true
          example: https://workspace.google.com/products/admin/
        serviceAlternateUrls:
          nullable: true
          readOnly: true
          example:
            - www.slides.google.com
            - www.docs.google.com
            - www.sheets.google.com
          type: array
          items:
            type: string
        canDeleteAccount:
          type: boolean
          readOnly: true
          example: true
        canDeactivateAccount:
          type: boolean
          readOnly: true
          example: true
      required:
        - id
        - name
        - uniqueName
        - url
        - adminUrl
        - userManagementUrl
        - serviceTopUrl
        - serviceAlternateUrls
        - canDeleteAccount
        - canDeactivateAccount
    PublicOrganizationUserResponseDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        email:
          type: string
          readOnly: true
          example: foo.bar@example.com
        name:
          type: string
          readOnly: true
          example: foo.bar
        location:
          readOnly: true
          example: jp
          allOf:
            - $ref: '#/components/schemas/Location'
        roles:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/UserRoleDto'
        status:
          readOnly: true
          example: active
          allOf:
            - $ref: '#/components/schemas/UserOrganizationStatus'
      required:
        - id
        - email
        - name
        - location
        - roles
        - status
    PublicWorkspaceMetaResponseDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        workspaceId:
          type: number
          readOnly: true
          example: 1
        organizationId:
          type: number
          readOnly: true
          example: 1
        note:
          type: string
          nullable: true
          readOnly: true
          example: Example note
        businessImpactLevel:
          nullable: true
          readOnly: true
          example: low
          allOf:
            - $ref: '#/components/schemas/BusinessImpactLevel'
        dataStoreRegion:
          type: string
          nullable: true
          readOnly: true
          example: ap-northeast-1
        piiEnabled:
          type: boolean
          nullable: true
          readOnly: true
          example: false
        pii:
          type: string
          nullable: true
          readOnly: true
          example: Example note
        confidentialInfo:
          nullable: true
          readOnly: true
          example: confidential
          allOf:
            - $ref: '#/components/schemas/ConfidentialInfo'
        securityImpactLevel:
          nullable: true
          readOnly: true
          example: low
          allOf:
            - $ref: '#/components/schemas/SecurityImpactLevel'
        vendorName:
          type: string
          nullable: true
          readOnly: true
          example: Example Vendor
        vendorRelationship:
          type: string
          nullable: true
          readOnly: true
          example: Example Vendor Relationship
        vendorPhone:
          type: string
          nullable: true
          readOnly: true
          example: '12345567890'
        vendorMailAddress:
          type: string
          nullable: true
          readOnly: true
          example: Example Vendor Mail address
      required:
        - id
        - workspaceId
        - organizationId
        - note
        - businessImpactLevel
        - dataStoreRegion
        - piiEnabled
        - pii
        - confidentialInfo
        - securityImpactLevel
        - vendorName
        - vendorRelationship
        - vendorPhone
        - vendorMailAddress
    PublicWorkspaceBillingManagerDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        avatar:
          type: string
          nullable: true
          readOnly: true
          example: avatar
        displayName:
          type: string
          nullable: true
          readOnly: true
          example: Example name
        primaryEmail:
          type: string
          nullable: true
          readOnly: true
          example: Example email
      required:
        - id
        - avatar
        - displayName
        - primaryEmail
    PublicWorkspacePeopleInChargeDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        avatar:
          type: string
          nullable: true
          readOnly: true
          example: avatar
        displayName:
          type: string
          nullable: true
          readOnly: true
          example: Example name
        primaryEmail:
          type: string
          nullable: true
          readOnly: true
          example: Example email
      required:
        - id
        - avatar
        - displayName
        - primaryEmail
    Location:
      type: string
      enum:
        - global
        - us
        - jp
    UserRoleDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        name:
          type: string
          readOnly: true
          example: Admin
      required:
        - id
        - name
    UserOrganizationStatus:
      type: string
      enum:
        - active
        - invited
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````